# Change Log
All notable changes to this project will be documented in this file. (Pending approval) This project adheres to [Semantic Versioning](http://semver.org/). You can read more on this at [keep a change log](http://keepachangelog.com/)

# [Unreleased]


# Releases
## [[0.4.2]](https://github.com/rsb/appfuel/releases/tag/0.4.2) 2017-10-09
### Changed
- upgrade appfuel to 0.7

## [[0.4.1]](https://github.com/rsb/appfuel/releases/tag/0.4.1) 2017-09-27
### Changed
- lock appufel to 0.6.15

## [[0.4.0]](https://github.com/rsb/appfuel/releases/tag/0.4.0) 2017-09-27
### Added
- allow work to restrict action routes with `register`

## [[0.3.4]](https://github.com/rsb/appfuel/releases/tag/0.3.4) 2017-09-19
### Fixed
- standard config settings to logfile instead of log

## [[0.3.3]](https://github.com/rsb/appfuel/releases/tag/0.3.3) 2017-09-19
### Fixed
- worker was not using response errors correctly

## [[0.3.2]](https://github.com/rsb/appfuel/releases/tag/0.3.2) 2017-09-19
### Fixed
- worker did not log handled failures

## [[0.3.1]](https://github.com/rsb/appfuel/releases/tag/0.3.1) 2017-09-18
### Changed
- adding error handling/logging for rpc and non rpc requests

## [[0.3.0]](https://github.com/rsb/appfuel/releases/tag/0.2.11) 2017-09-15
### Changed
- update sneakers to `2.6`

## [[0.2.9]](https://github.com/rsb/appfuel/releases/tag/0.2.11) 2017-08-11
### Changed
- update appfuel for `~0.6`

## [[0.2.9]](https://github.com/rsb/appfuel/releases/tag/0.2.9) 2017-08-08
## Fixed
- service worker will send a rabbitmq reject! when it can not create a request

## [[0.2.8]](https://github.com/rsb/appfuel/releases/tag/0.2.8) 2017-07-21
## Fixed
- config for sneakers bad pid path
- config for aws no default region
- config for worker, db is now optional

## [[0.2.6]](https://github.com/rsb/appfuel/releases/tag/0.2.6) 2017-06-28
### Fixed
- allow rpc client to close connection
- added logging into worker

## [[0.2.3]](https://github.com/rsb/appfuel/releases/tag/0.2.3) 2017-06-28
### Fixed
- adding basic error logging to queue worker

## [[0.2.2]](https://github.com/rsb/appfuel/releases/tag/0.2.2) 2017-06-28
### Fixed
- invalid reference to `data` in `msg_request` changed to `inputs`

## [[0.2.1]](https://github.com/rsb/appfuel/releases/tag/0.2.8) 2017-06-28
### Fixed
- fixed initializer for message broker to allow cli to start up individual
  queues

## [[0.2.0]](https://github.com/rsb/appfuel/releases/tag/0.2.0) 2017-06-21
### Added
- added rpc client to publish rabbitmq messages

## [[0.1.7]](https://github.com/rsb/appfuel/releases/tag/0.1.7) 2017-06-20
### Changed
- `upgraded` `appfuel` to 0.3.0

## [[0.1.6]](https://github.com/rsb/appfuel/releases/tag/0.1.6) 2017-06-15
- Fixed failing tests that were missed for `0.1.5`

## [[0.1.5]](https://github.com/rsb/appfuel/releases/tag/0.1.5) 2017-06-15
### Changed
- Clean up queue worker

## [[0.1.4]](https://github.com/rsb/appfuel/releases/tag/0.1.4) 2017-06-14
### Added
- Initialzers for worker and db

## [[0.1.3]](https://github.com/rsb/appfuel/releases/tag/0.1.3) 2017-06-07
### Added
- Configuration definitions for database, aws, worker, sentry and new relic
### Added
- Method in Config.rb such that it overrides the default implimentation.Also added test   case fro Config.rb.
